Package ru.bitel.bgbilling.kernel.task.server.bean

# Class RunTaskRecalculator<T extends ru.bitel.bgbilling.kernel.task.server.TaskBase>

java.lang.Object
ru.bitel.bgbilling.kernel.task.server.bean.RunTask
ru.bitel.bgbilling.kernel.task.server.bean.RunTaskRecalculator<T>

All Implemented Interfaces:
  `java.io.Serializable`, `java.lang.Runnable`

Direct Known Subclasses:
  `MangoFeesFtpReloader`, `Recalculator`, `RSCMRecalculator`, `VoiceipBalanceSetter`

    public abstract class RunTaskRecalculator<T extends ru.bitel.bgbilling.kernel.task.server.TaskBase>
    extends RunTask

See Also:
  Serialized Form

- ## Field Summary

  Fields
  Modifier and Type | Field | Description
  --- | --- | ---
  `protected java.util.Calendar` | `dt` |
  `protected java.lang.String` | `email` |
  `protected int` | `mid` |

  ### Fields inherited from class ru.bitel.bgbilling.kernel.task.server.bean.RunTask

  `log, setup`

- ## Constructor Summary

  Constructors
  Modifier | Constructor | Description
  --- | --- | ---
  `protected` | `RunTaskRecalculator()` |
  `` | `RunTaskRecalculator​(int mid, java.util.Calendar dt, java.lang.String email)` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `protected abstract T` | `createTask()` |
  `protected void` | `executeTask()` |
  `java.lang.String` | `getDescription()` |

  ### Methods inherited from class ru.bitel.bgbilling.kernel.task.server.bean.RunTask

  `getQueueId, getUniqueKeyParallel, getUniqueKeyQueue, init, removeMyselfFromTable, run, setQueueId`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### mid

    protected int mid

  - ### dt

    protected java.util.Calendar dt

  - ### email

    protected java.lang.String email

- ## Constructor Details

  - ### RunTaskRecalculator

    protected RunTaskRecalculator()

  - ### RunTaskRecalculator

    public RunTaskRecalculator​(int mid, java.util.Calendar dt, java.lang.String email)

- ## Method Details

  - ### getDescription

    public java.lang.String getDescription()
    Specified by:
      `getDescription` in class `RunTask`

  - ### executeTask

    protected void executeTask()
    Specified by:
      `executeTask` in class `RunTask`

  - ### createTask

    protected abstract T createTask()